default:
  image: registry.gitlab.com/a-core/a-core_chisel/ci-chisel-container:master

pages:
  script:
    - ./ci/build-scaladoc-docs.sh
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'

config-test:
  stage: test
  script:
    - sbt test
  rules:
    - when: always

publish:
  stage: deploy
  script:
    - sbt publish
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'
      when: always
